unit Principal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ToolWin, ComCtrls, ExtCtrls, StdCtrls, XPMan, OleCtrls,
  SHDocVw;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Arquivo1: TMenuItem;
    Abrir1: TMenuItem;
    XPManifest1: TXPManifest;
    CoolBar1: TCoolBar;
    Panel1: TPanel;
    OpenDialog1: TOpenDialog;
    ConfigurarPagina: TButton;
    Imprimir: TButton;
    WebBrowser1: TWebBrowser;
    XPManifest2: TXPManifest;
    procedure Abrir1Click(Sender: TObject);
    procedure WebBrowser1NavigateComplete2(Sender: TObject;
      const pDisp: IDispatch; var URL: OleVariant);
    procedure ConfigurarPaginaClick(Sender: TObject);
    procedure ImprimirClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//Chama a Caixa de Dilogo Imprimir
procedure WBImprimir(WB: TWebBrowser) ;
var
   vIn, vOut: OleVariant;
begin
   WB.ControlInterface.ExecWB(OLECMDID_PRINT, OLECMDEXECOPT_PROMPTUSER, vIn, vOut) ;
end;

//Configurar Pgina
procedure WBConfigurarPagina(WB: TWebBrowser) ;
var
   vIn, vOut: OleVariant;
begin
WB.ControlInterface.ExecWB(OLECMDID_PAGESETUP, OLECMDEXECOPT_PROMPTUSER, vIn, vOut) ;
end;


procedure TForm1.Abrir1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    webbrowser1.Navigate(OpenDialog1.FileName)
      else
    abort;
  end;

procedure TForm1.WebBrowser1NavigateComplete2(Sender: TObject;
  const pDisp: IDispatch; var URL: OleVariant);
begin
WebBrowser1.OleObject.document.ActiveWindow.View.ShowAll := False;
end;


procedure TForm1.ConfigurarPaginaClick(Sender: TObject);
begin
try
WBConfigurarPagina(webbrowser1);
finally
abort;
end;
end;

procedure TForm1.ImprimirClick(Sender: TObject);
begin
try
WBImprimir(webbrowser1);
finally
abort;
end;
end;

end.
